/*
 * @Descripttion: 当前组件信息
 * @version: 1.0.0
 * @Author: 无尘
 * @Date: 2020-07-23 17:18:24
 * @LastEditors: 无尘
 * @LastEditTime: 2020-07-30 18:35:54
 */
import Vue from 'vue';
import Router from 'vue-router';

Vue.use(Router);

const routes = [{
    path: '*',
    redirect: '/index'
  },
  {
    name: 'index',
    path: '/index',
    component: () =>
      import ('./views/index'),
    meta: {
      title: '商户绑定'
    }
  },
  {
    name: 'storeBind',
    path: '/storeBind',
    component: () =>
      import('./views/storeBind/index.vue'),
    meta: {
      title: '门店绑定'
    }
  },
  {
    name: 'child-level',
    path: '/childLevel',
    component: () =>
      import('./views/storeBind/child-level.vue'),
    meta: {
      title: '门店绑定'
    }
  }
];

// add route path
routes.forEach(route => {
  route.path = route.path || '/' + (route.name || '');
});

const router = new Router({
  mode: 'history',
  base: '/haoban-mobile-4',
  routes
});

router.beforeEach((to, from, next) => {
  const title = to.meta && to.meta.title;
  if (title) {
    document.title = title;
  }
  next();
});

export {
  router
};
